al_is_haptic_effect_playing(3)

NAME

al_is_haptic_effect_playing - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_is_haptic_effect_playing(ALLEGRO_HAPTIC_EFFECT_ID *id)

DESCRIPTION

Returns true if the haptic effect is currently playing. Returns false if the effect has been stopped or if it has already finished playing, or if it has not been played yet. The play_id must be a valid ALLEGRO_HAPTIC_EFFECT_ID(3) obtained from al_upload_haptic_effect(3), al_upload_and_play_haptic_effect(3) or al_rumble_haptic(3).

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.